{
  "name": "visualization-design",
  "private": true,
  "version": "0.0.1",
  "scripts": {
    "start": "vite --host --open --port 88",
    "prod": "vue-tsc --noEmit && vite build --base=https://assets.le5lecdn.com/v/",
    "build": "vite build --base=/v/",
    "preview": "vite preview"
  },
  "dependencies": {
    "@meta2d/activity-diagram": "^1.0.0",
    "@meta2d/chart-diagram": "^1.0.6",
    "@meta2d/class-diagram": "^1.0.1",
    "@meta2d/core": "^1.0.72",
    "@meta2d/flow-diagram": "^1.0.0",
    "@meta2d/form-diagram": "^1.0.8",
    "visio2meta2d":"file:../visio2meta2d",
    "dxf": "file:../dxf",
    "@meta2d/fta-diagram": "^1.0.0",
    "@meta2d/le5le-charts": "^1.0.3",
    "@meta2d/sequence-diagram": "^1.0.0",
    "@meta2d/svg": "^1.0.3",
    "@meta2d/utils": "^1.0.0",
    "axios": "^0.26.0",
    "crypto-js": "^4.1.1",
    "dayjs": "^1.11.5",
    "exceljs": "^4.3.0",
    "fast-xml-parser": "^4.0.1",
    "file-saver": "^2.0.5",
    "jszip": "^3.10.0",
    "@le5le/auth-token": "^1.0.5",
    "localforage": "^1.10.0",
    "monaco-editor": "^0.38.0",
    "qrcode": "^1.5.3",
    "tdesign-icons-vue-next": "^0.2.2",
    "tdesign-vue-next": "^1.7.0",
    "vue": "^3.3.4",
    "vue-router": "^4.2.0",
    "vue-i18n": "^10.0.4"
  },
  "devDependencies": {
    "@types/file-saver": "^2.0.5",
    "@types/node": "^20.4.1",
    "@types/offscreencanvas": "^2019.7.0",
    "@types/qrcode": "^1.5.0",
    "@vitejs/plugin-vue": "^4.2.3",
    "@vitejs/plugin-vue-jsx": "^3.0.0",
    "autoprefixer": "^10.4.13",
    "formidable": "^2.0.1",
    "postcss": "^8.4.6",
    "postcss-import": "^14.1.0",
    "postcss-nested": "^6.0.1",
    "typescript": "^4.7.4",
    "vite": "^4.4.2",
    "vite-plugin-compression": "^0.5.1",
    "vite-plugin-monaco-editor": "^1.1.0",
    "vue-tsc": "^1.8.3"
  }
}